# PAllocatorTemplate< GnuAllocator, Type > Struct Template Reference

`#include <object.h>`

List of all members.

## Public Member Functions

Type * | allocate (size_t v)
void | deallocate (Type *p, size_t v)

### template<class GnuAllocator, class Type>
struct PAllocatorTemplate< GnuAllocator, Type >

## Member Function Documentation

template<class GnuAllocator, class Type>

Type* PAllocatorTemplate< GnuAllocator, Type >::allocate | ( | size_t | v | ) | `[inline]`

template<class GnuAllocator, class Type>

void PAllocatorTemplate< GnuAllocator, Type >::deallocate | ( | Type * | p,
|  | size_t | v |
| ) |  |  | `[inline]`

The documentation for this struct was generated from the following file:

- object.h